Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 302477

Summary: Please stabilize =dev-libs/fcgi-2.4.1_pre0311112127
Product: Gentoo Linux Reporter: Samuli Suominen <ssuominen>
Component: Current packagesAssignee: Hans de Graaff <graaff>
Status: RESOLVED FIXED    
Severity: enhancement Keywords: STABLEREQ
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 157821    
Bug Blocks: 302468    
Attachments: Parallel make failure

Description Samuli Suominen gentoo-dev 2010-01-27 17:22:25 UTC
Because of this,

  18 Apr 2009; Hans de Graaff <graaff@gentoo.org>
  +files/fcgi-2.4.1_pre0311112127-gcc44.patch,
  fcgi-2.4.1_pre0311112127.ebuild:
  Fix GCC 4.4 compilation. Thanks to Daniel J for the patch and Ryan Hill for
  testing in bug #256654.

It should go stable soon as possible for GCC 4.4.x stabilization
Comment 1 Hans de Graaff gentoo-dev 2010-01-30 08:17:47 UTC
Arches, please mark this version stable as a prerequisite for the upcoming GCC 4.4 stabilization.
Comment 2 Brent Baude (RETIRED) gentoo-dev 2010-02-01 19:38:53 UTC
ppc64 stable
Comment 3 Andreas Schürch gentoo-dev 2010-02-02 17:30:22 UTC
Works fine and passed the tests here on x86.
Comment 4 Christian Faulhammer (RETIRED) gentoo-dev 2010-02-03 10:01:22 UTC
stable x86, thanks Andreas
Comment 5 Jeroen Roovers gentoo-dev 2010-02-03 23:48:40 UTC
Stable for HPPA.
Comment 6 Jeroen Roovers gentoo-dev 2010-02-04 00:05:57 UTC
Stable for PPC.
Comment 7 Raúl Porcel (RETIRED) gentoo-dev 2010-02-12 18:42:50 UTC
alpha/arm/ia64/sh/sparc stable
Comment 8 Samuli Suominen gentoo-dev 2010-03-01 10:57:46 UTC
Created attachment 221593 [details]
Parallel make failure

Fails to compile on amd64 with MAKEOPTS="-j9"
Comment 9 Samuli Suominen gentoo-dev 2010-03-01 11:00:19 UTC
(In reply to comment #8)
> Created an attachment (id=221593) [details]
> Parallel make failure
> 
> Fails to compile on amd64 with MAKEOPTS="-j9"
> 

Since we have more recent version in ~arch, I've restricted this version to -j1 for now and marked it stable so it doesn't hold up GCC.